/**
 * The equivalent of a SQL value.
 **/
Sql.SearchTags = new Class
({
	Extends: Sql.Value
	,Tag: 'sql-search-tags'

	,render: function (batch)
	{
		if (typeof this._value == 'string')
		{
			var value = this._value.replace (/^| +|$/g, '%');
			return "'" + value.replace (this.regexp, this.replaceFunc) + "'";
		}
		else
			return this.parent ();
	}
});
